{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}
Subscriptions
Create or update a subscription
Create a subscription, or update the existing one with the same subscription type, object type, and account. The request body sets which actions and objects are recorded in your journal.
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}
Supported products
Body
application/json
Option 1
Option 2
Option 3
Option 4
Option 5
actions
enum<string>[]
required
An array of strings specifying the actions to be tracked. Valid actions include 'CREATE', 'UPDATE', 'DELETE', 'MERGE', 'RESTORE'.
Available options:
CREATE,
UPDATE,
DELETE,
MERGE,
RESTORE,
ASSOCIATION_ADDED,
ASSOCIATION_REMOVED,
SNAPSHOT,
APP_INSTALL,
APP_UNINSTALL,
ADDED_TO_LIST,
REMOVED_FROM_LIST,
GDPR_DELETE
objectIds
integer<int64>[]
required
The IDs of specific objects to track. Use an empty array to track all objects of this type.
objectTypeId
string
required
The identifier for the type of object the subscription is related to.
portalId
integer<int64>
required
An integer representing the unique identifier of the account for which the subscription is being created or updated.
properties
string[]
required
The properties to track. When set, updates are only recorded if one of these properties changed. Use an empty array to track all properties.
subscriptionType
enum<string>
default:OBJECT
required
A string indicating the type of subscription, which is 'OBJECT' by default.
Available options:
OBJECT
includeSensitivePropertiesChanged
boolean
Whether to record changes to sensitive properties. Only the names of changed sensitive properties are included, never their values.
Response
successful operation
actions
enum<string>[]
required
An array of actions associated with the subscription. Valid actions include 'CREATE', 'UPDATE', 'DELETE', 'MERGE', 'RESTORE', 'ASSOCIATION_ADDED', 'ASSOCIATION_REMOVED', 'SNAPSHOT', 'APP_INSTALL', 'APP_UNINSTALL', 'ADDED_TO_LIST', 'REMOVED_FROM_LIST', and 'GDPR_DELETE'.
Available options:
CREATE,
UPDATE,
DELETE,
MERGE,
RESTORE,
ASSOCIATION_ADDED,
ASSOCIATION_REMOVED,
SNAPSHOT,
APP_INSTALL,
APP_UNINSTALL,
ADDED_TO_LIST,
REMOVED_FROM_LIST,
GDPR_DELETE
appId
integer<int64>
required
The unique identifier for the app associated with the subscription, represented as an integer.
createdAt
string<date-time>
required
The date and time when the subscription was created, in ISO 8601 format.
id
integer<int64>
required
The unique identifier for the subscription, represented as an integer.
objectTypeId
string
required
The identifier for the type of object associated with the subscription, represented as a string.
subscriptionType
enum<string>
required
The type of subscription, indicating the nature of events it pertains to. Valid values include 'OBJECT', 'ASSOCIATION', 'EVENT', 'APP_LIFECYCLE_EVENT', 'LIST_MEMBERSHIP', and 'GDPR_PRIVACY_DELETION'.
Available options:
APP_LIFECYCLE_EVENT,
ASSOCIATION,
EVENT,
GDPR_PRIVACY_DELETION,
LIST_MEMBERSHIP,
OBJECT
updatedAt
string<date-time>
required
The date and time when the subscription was last updated, in ISO 8601 format.
actionOverrides
object
An object containing overrides for actions, where each key is an action and the value is an ActionOverrideRequest object.
Show child attributes
associatedObjectTypeIds
string[]
An array of strings representing the IDs of associated object types.
createdBy
integer<int64>
The unique identifier of the user who created the subscription, represented as an integer.
deletedAt
string<date-time>
The date and time when the subscription was deleted, in ISO 8601 format, if applicable.
includeSensitivePropertiesChanged
boolean
A boolean indicating whether changes to sensitive properties are included in the subscription.
listIds
integer<int64>[]
An array of integers representing the IDs of lists associated with the subscription.
objectIds
integer<int64>[]
An array of integers representing the IDs of objects associated with the subscription.
portalId
integer<int64>
The unique identifier for the portal associated with the subscription, represented as an integer.
properties
string[]
An array of strings representing the properties associated with the subscription.
Last modified on November 16, 2026
Was this page helpful?
Assistant
Responses are generated using AI and may contain mistakes.